#ifndef USB_H
#define USB_H

#include <Arduino.h>

#include "lcd.h"
#include <stdio.h>
#include <string.h>

//#ifdef __cplusplus
//extern "C" {
//#endif

//extern "C" {
    #include "cdc_acm_core.h" // <======================
    //#include "drv_usb_hw.h"
    #include "gd32vf103_usbd_hw.h"
//}
//#ifdef __cplusplus
//}
//#endif



extern int bytes_received; // alles extern?? macht das Sinn?
extern int bytes_sent;

extern uint8_t packet_sent, packet_receive;
extern uint32_t receive_length;

extern usb_core_driver USB_OTG_dev;

extern int idx;
extern int n_str;
extern int str_ovf;
extern uint8_t buffer[LCD_W*LCD_H+1];
extern uint8_t rcvstr[64];
extern uint8_t tmpbuf[128];
extern uint16_t str_color;

extern void cdc_print(usb_dev *pudev, uint8_t *str, uint32_t data_len);

extern void usb_init();
extern void usb_wait();
extern void usb_receive();

#endif